#ifndef SPROCESS_H
#define SPROCESS_H

#include <QProcess>

class SProcess : public QProcess
{
    Q_OBJECT
public:
    enum STATE
    {
        STATE_WAIT = 0,
        STATE_RUNNING,
    };
    explicit SProcess(QObject *parent = 0);
    void SetState(int _nState) { m_nState = _nState; }
    int State() {return m_nState;}    
signals:
public slots:
private:
    int m_nState;

};

#endif // SPROCESS_H
